Bug 49625 - Computing of the remaining time to finish installation is wrong
Computing of the remaining time to finish installation is wrong
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: 49623 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-07-21 16:28 EDT by Milan Kerslager
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-08 18:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2001-07-21 16:28:05 EDT
The installer counts 'preparation' time to whole install and does'n 
subsctract this value when counting rest of the time by number of 
installed/waiting packages, ie when doing (time / 
number_of_already_installed_packages) the 'time' is penalized 
by 'preparation' time and thus estimated time (multipled by 
waiting_packages) is longer than should be.

The remaining time is thus very large when first few packages are 
installed and then installer cutting total time down as more packages are 
installed and preparation phase takes less part than sum of passed 
installation time.

On my system with low memory and slow processor (P150/32MB) installer show 
up estimated time about 50 hours and after 10 - 20 packages it hit 2 hours 
and finally about 1 hour.
Comment 1 Michael Fulbright 2001-07-23 14:52:06 EDT
I think I fixed this - please try again with beta 3.
Comment 2 Glen Foster 2001-07-23 17:17:13 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Milan Kerslager 2001-07-23 17:21:24 EDT
*** Bug 49623 has been marked as a duplicate of this bug. ***
Comment 4 Brent Fox 2001-08-03 10:48:30 EDT
Have you had a chance to try with Beta 3 (Roswell)?
Comment 5 Milan Kerslager 2001-08-08 18:13:51 EDT
Looks better, but there is still a long delay between "Setting up RPM 
transaction" and "Preparing to install" progress bars.
Comment 6 Michael Fulbright 2001-08-08 23:26:36 EDT
There are several places we cannot monitor the progress of rpm happenings
because they are in a black box in rpmlib, with no callbacks to the UI.

We intend on fixing these delays as rpm development allows, but not for this

Note You need to log in before you can comment on or make changes to this bug.